XPathException (Java Platform SE 8 )
Keywords: javax.xml.xpath.XPathException class
Date: 2016-04-24

compact2, compact3
javax.xml.xpath

## Class XPathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.xpath.XPathException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    XPathExpressionException, XPathFactoryConfigurationException

      public class XPathException
      extends Exception

  `XPathException` represents a generic XPath exception.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathException(String message)` Constructs a new `XPathException` with the specified detail `message`.
    `XPathException(Throwable cause)` Constructs a new `XPathException` with the specified `cause`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Get the cause of this XPathException.
    `void` | `printStackTrace()` Print stack trace to `System.err`.
    `void` | `printStackTrace(PrintStream s)` Print stack trace to specified `PrintStream`.
    `void` | `printStackTrace(PrintWriter s)` Print stack trace to specified `PrintWriter`.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathException

          public XPathException(String message)

      Constructs a new `XPathException` with the specified detail `message`.

      The `cause` is not initialized.

      If `message` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `message` - The detail message.
      Throws:
        `NullPointerException` - When `message` is `null`.

    - #### XPathException

          public XPathException(Throwable cause)

      Constructs a new `XPathException` with the specified `cause`.

      If `cause` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `cause` - The cause.
      Throws:
        `NullPointerException` - if `cause` is `null`.

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Get the cause of this XPathException.

      Overrides:
        `getCause` in class `Throwable`
      Returns:
        Cause of this XPathException.

    - #### printStackTrace

          public void printStackTrace(PrintStream s)

      Print stack trace to specified `PrintStream`.

      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` - Print stack trace to this `PrintStream`.

    - #### printStackTrace

          public void printStackTrace()

      Print stack trace to `System.err`.

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintWriter s)

      Print stack trace to specified `PrintWriter`.

      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` - Print stack trace to this `PrintWriter`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.